#!/usr/bin/env python
# coding=utf-8

# DISCLAIMER: I am not sure this will work properly for everyone.
#             Please report bugs.

# Run this script to leverage the power of `distutils` to install or build.

# Doc :
# - https://docs.python.org/2/install/index.html
# - https://docs.python.org/2/distutils/setupscript.html

try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

from lib.__version__ import __version__


setup(
    name='galpak',
    version=__version__,
    author='Nicolas Bouché',
    author_email='nicolas.bouche@irap.omp.eu',
    maintainer='Antoine Goutenoir',
    maintainer_email='antoine.goutenoir@irap.omp.eu',
    url='http://galpak.irap.omp.eu',
    license='GPL',
    description='A tool to extract the intrinsic (i.e. deconvolved) Galaxy '
                'Parameters and Kinematics from any 3-Dimensional data.',

    packages=['galpak'],
    package_dir={'galpak': 'lib'},

    # This is copying files into `/usr/local/doc`
    # -> this is NOT what we want.
    # data_files=[('doc', [
    #     'CHANGELOG',
    #     'LICENCE',
    #     'TODO',
    #     'README.md',
    # ])],

    install_requires=['astropy>=1.0', 'numpy>=1.8', 'scipy', 'asciitable'],
    provides=['galpak'],
)